%define upstream_name    Dist-Zilla-Plugin-PodLoom
%define upstream_version 5.001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Process module documentation through Pod::Loom
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.200.1
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::ModuleInfo) >= 0.80.0
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(Moose) >= 0.650.0
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Loom) >= 0.50.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
If included, this plugin will process each _.pm_ and _.pod_ file under
_lib_ or in the root directory through Pod::Loom.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 5.1.0-3.mga6
+ Revision: 1026502
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 5.1.0-2.mga6
+ Revision: 968792
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 sander85 <sander85> 5.1.0-1.mga6
+ Revision: 855367
- update to 5.001

* Wed Oct 15 2014 umeabot <umeabot> 5.0.0-3.mga5
+ Revision: 749864
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 5.0.0-1.mga5
+ Revision: 619605
- update to 5.00

* Fri Oct 18 2013 umeabot <umeabot> 4.100.0-3.mga4
+ Revision: 511124
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.100.0-2.mga3
+ Revision: 366336
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 13 2011 jquelin <jquelin> 4.100.0-1.mga2
+ Revision: 181145
- update to 4.10

* Thu Nov 03 2011 jquelin <jquelin> 4.10.0-1.mga2
+ Revision: 162198
- update to 4.01

* Wed Jun 15 2011 jquelin <jquelin> 4.0.0-1.mga2
+ Revision: 106871
- update to 4.00

* Fri Feb 25 2011 jquelin <jquelin> 3.20.0-1.mga1
+ Revision: 59761
- update to 3.02

* Wed Jan 26 2011 jquelin <jquelin> 3.0.0-1.mga1
+ Revision: 41078
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-PodLoom

